---
title: "Eligibility Check Partial Withdrawal One Time"
url: "https://developers.zinnia.com/apis/policy-transactions-1-0-2/versions/d0006570-ab9d-464e-814f-d120ba425e84/operations/partialWithdrawalOneTimeEligibilityCheck1"
---

> Full API specification: https://developers.zinnia.com/apis/policy-transactions-1-0-2/versions/d0006570-ab9d-464e-814f-d120ba425e84.md

# Eligibility Check Partial Withdrawal One Time

`POST` `/policy/v1/transactions/{planCode}/{policyNumber}/partialwithdrawalonetime/eligibilitycheck`

Operation ID: `partialWithdrawalOneTimeEligibilityCheck1`

## Path parameters

- `planCode` (string, required)
- `policyNumber` (string, required)

## Request body

Content types: `application/json`

## Responses

- `200` - Parital Withdrawal Success Response
- `400` - Parital Withdrawal Failure Response
- `500` - Unexpected error occured, please check server log

## OpenAPI definition

```yaml
openapi: 3.1.0
info:
  title: Zinnia Policy Transactions API.
  version: 1.0.8
servers:
  - url: https://dev.api.zinnia.io
    description: DEV Environment
  - url: https://qa.api.zinnia.io
    description: QA Environment
paths:
  /policy/v1/transactions/{planCode}/{policyNumber}/partialwithdrawalonetime/eligibilitycheck:
    post:
      x-kong-plugin-pre-function:
        config:
          access:
            - >
              local path = kong.request.get_path()

              local new_path = path:gsub("^/policy/v1/transactions",
              "/bpm/v1/policies")

              kong.service.request.set_path(new_path)
      tags:
        - Financial Transactions
      summary: Eligibility Check Partial Withdrawal One Time
      operationId: partialWithdrawalOneTimeEligibilityCheck1
      parameters:
        - name: planCode
          in: path
          required: true
          schema:
            type: string
        - name: policyNumber
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: "#/components/schemas/PartialWithdrawalOneTimeRequest"
      responses:
        "200":
          description: Parital Withdrawal Success Response
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/TransactionResponse"
              examples:
                success:
                  $ref: "#/components/examples/successTransactionResponse"
        "400":
          description: Parital Withdrawal Failure Response
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/TransactionResponse"
              examples:
                failure:
                  $ref: "#/components/examples/failureTransactionResponse"
        "500":
          description: Unexpected error occured, please check server log
      security:
        - Auth0: []
security:
  - Auth0: []
components:
  schemas:
    PartialWithdrawalOneTimeRequest:
      type: object
      description: Partial withdrawal one-time transaction request including
        transaction amounts, fund allocation, parties, tax withholding, and
        signatures.
      allOf:
        - $ref: "#/components/schemas/PartialWithdrawalOneTime"
      properties:
        caseId:
          type: string
          example: CA0000007389
          description: Zinnia Live Case ID
        override:
          type: boolean
          description: BPM will have to override the rules if this variable is marked as
            true
    TransactionResponse:
      type: object
      properties:
        status:
          type: string
          enum:
            - success
            - failure
        error:
          type: array
          items:
            $ref: "#/components/schemas/Error"
        quoteResponse:
          type: object
    PartialWithdrawalOneTime:
      type: object
      description: Request body for partial withdrawal one-time eligibility,
        validation, and submit endpoints.
      properties:
        correlationId:
          type: string
          example: test-112132141
          description: The unique ID to track transaction request across all systems
        effectiveDate:
          type: string
          format: date
          example: 2026-03-17
          description: Date when the transaction was originally scheduled or expected to
            happen. It can be a non-business day
        reverseInitiator:
          type: boolean
          description: Property to isolate source transaction(s) that initiated the reversal
          default: false
        selfServeFlow:
          type: boolean
          description: Whether the request originated from a self-serve flow
          example: false
        transactionType:
          $ref: "#/components/schemas/PartialWithdrawalTransactionType"
        externalIdentifiers:
          $ref: "#/components/schemas/PartialWithdrawalExternalIdentifiers"
        transactionReason:
          $ref: "#/components/schemas/PartialWithdrawalTransactionReason"
        transactionAmounts:
          $ref: "#/components/schemas/PartialWithdrawal.TransactionAmounts"
        fundAllocation:
          $ref: "#/components/schemas/PartialWithdrawalFundAllocation"
        taxWithholdingInstructions:
          type: array
          items:
            $ref: "#/components/schemas/PartialWithdrawalTaxWithholdingInstruction"
        fundDistributions:
          type: array
          items:
            $ref: "#/components/schemas/PartialWithdrawalFundDistribution"
        parties:
          type: array
          items:
            $ref: "#/components/schemas/PartialWithdrawalParty"
        charges:
          type: array
          items:
            $ref: "#/components/schemas/PartialWithdrawalCharge"
        suppression:
          type: array
          items:
            $ref: "#/components/schemas/PartialWithdrawalSuppression"
        signatures:
          type: array
          items:
            $ref: "#/components/schemas/PartialWithdrawalSignature"
      required:
        - effectiveDate
        - transactionAmounts
        - fundAllocation
        - parties
    Error:
      type: object
      properties:
        errorCode:
          type: string
          example: BPM.NM.002
          description: This is the NIGO id generated by BPM system
        attribute:
          type: string
        error:
          type: string
          description: This is the error generated by BPM system
        resolution:
          type: string
          description: Resolution generated by BPM system to resolve the error
    PartialWithdrawalTransactionType:
      type: string
      enum:
        - PARTIAL_WITHDRAWAL
      description: Transaction type for partial withdrawal one-time requests
      example: PARTIAL_WITHDRAWAL
    PartialWithdrawalExternalIdentifiers:
      type: object
      properties:
        externalTransactionId:
          type: string
          description: The unique ID to identify transaction on carrier side
          example: "14141414"
        referenceNumber:
          type: string
          description: The unique payment reference number for all premium-related
            transactions by carrier
          example: "141414141"
    PartialWithdrawalTransactionReason:
      type: string
      enum:
        - ONETIMEPREMIUM
        - GRACEPERIODPREMIUM
        - REINSTATEMENTPREMIUM
        - EXCHANGE1035
        - SURRENDER
        - AMOUNTEXCESSTOMEC
        - AMOUNTEXCESSTOGUIDELINE
        - CURRENTVALUE
        - COSTBASIS
        - GUIDELINESINGLEPREMIUM
        - GUIDELINELEVELPREMIUM
        - SEVENPAYPREMIUM
        - TOTALYTDPREMIUMAMOUNT
        - FACEDECREASECOVERAGE
        - INITIALPREMIUMEXPIRATION
        - COMPLIANCE
        - NOTRANSACTIONREASON
        - STARTINGPRICE
        - LUMPSUM
        - FIVEYEARDEFERRAL
        - SPOUSALCONTINUATION
        - DISCOUNT
        - CONTROLBUSINESSINDICATOR
        - NATIONALCHANGEOFADDRESS
        - DATEOFDEATH
        - INITIALDEATHNOTIFICATION
        - PRODUCTDEFAULT
        - AMOUNT
        - GWBRIDERDISBURSEMENT
        - GWBPHASECHANGE
        - FREQUENCY
        - PREMIUMLOAN
        - PAYMENTDUEDATE
      description: Reason for the partial withdrawal one-time transaction
      example: ONETIMEPREMIUM
    PartialWithdrawal.TransactionAmounts:
      type: object
      properties:
        requestedAmount:
          type: number
          format: double
          example: 1000
        amountType:
          $ref: "#/components/schemas/PartialWithdrawalAmountType"
        disbursementType:
          $ref: "#/components/schemas/PartialWithdrawalDisbursementType"
        distributionCode:
          $ref: "#/components/schemas/PartialWithdrawalDistributionCode"
        disbursementPaymentForm:
          $ref: "#/components/schemas/PartialWithdrawalDisbursementPaymentForm"
        accountNumber:
          type: string
          example: "11434552525"
        participantId:
          type: string
          example: "1236"
        withdrawalReason:
          $ref: "#/components/schemas/PartialWithdrawalWithdrawalReason"
        severanceDate:
          type: string
          format: date
          example: 2026-03-17
        firstRothIRADate:
          type: string
          format: date
          example: 2026-03-17
        hardshipType:
          $ref: "#/components/schemas/PartialWithdrawalHardshipType"
        emergencyType:
          $ref: "#/components/schemas/PartialWithdrawalEmergencyType"
      required:
        - requestedAmount
        - amountType
        - disbursementType
    PartialWithdrawalFundAllocation:
      type: object
      properties:
        allocationOption:
          $ref: "#/components/schemas/PartialWithdrawalAllocationOption"
      required:
        - allocationOption
    PartialWithdrawalTaxWithholdingInstruction:
      type: object
      properties:
        partyId:
          type: string
          example: "2314134"
          description: Impacted party for tax withholding
        taxWithholdingType:
          $ref: "#/components/schemas/TaxWithholdingType"
        partyRole:
          $ref: "#/components/schemas/PartialWithdrawalPartyRole"
        taxRateToUse:
          $ref: "#/components/schemas/TaxRateToUse"
        filingStatus:
          $ref: "#/components/schemas/PartialWithdrawalFilingStatus"
        dollar:
          type: number
          format: double
          example: 0
        percentage:
          type: number
          format: double
          example: 0
        exemptions:
          type: number
          format: int32
          example: 0
        taxJurisdiction:
          type: string
          example: string
        contribution:
          $ref: "#/components/schemas/PartialWithdrawalW4rContribution"
        w4r:
          $ref: "#/components/schemas/PartialWithdrawalW4r"
        taxFormType:
          $ref: "#/components/schemas/PartialWithdrawalTaxFormType"
      required:
        - partyId
        - taxWithholdingType
    PartialWithdrawalFundDistribution:
      type: object
      properties:
        fundId:
          type: string
          example: "1231414"
        fundName:
          type: string
          example: Fixed
        distributionAmountType:
          $ref: "#/components/schemas/PartialWithdrawalDistributionAmountType"
        totalFundValue:
          type: number
          format: double
          example: 10000
        requestedAmount:
          type: number
          format: double
          example: 1000
        fundDistributionSegments:
          type: array
          items:
            $ref: "#/components/schemas/PartialWithdrawalFundDistributionSegment"
    PartialWithdrawalParty:
      type: object
      properties:
        partyId:
          type: string
          example: 134535214eedf32412
        addressId:
          type: string
          example: 134535214eedf32412
        bankId:
          type: string
          example: "1232423525"
        partyRole:
          $ref: "#/components/schemas/PartialWithdrawalPartyRole"
        partyType:
          $ref: "#/components/schemas/PartialWithdrawalPartyType"
        paymentForm:
          $ref: "#/components/schemas/PaymentForm"
        allocationPercentage:
          type: number
          format: double
          example: 100
        forBenefitOfOrForFurtherCredit:
          type: string
          example: ABCD
        relationshipToOwner:
          type: string
          example: string
        preferredContactMethod:
          $ref: "#/components/schemas/PartialWithdrawalPreferredContactMethod"
        personalInformation:
          $ref: "#/components/schemas/PartialWithdrawalPersonalInformation"
        organisationDetails:
          $ref: "#/components/schemas/PartialWithdrawalOrganisationDetails"
        phones:
          type: array
          items:
            $ref: "#/components/schemas/PartialWithdrawalPhone"
        emails:
          type: array
          items:
            $ref: "#/components/schemas/PartialWithdrawalEmail"
        addresses:
          type: array
          items:
            $ref: "#/components/schemas/PartialWithdrawalAddress"
        overnightCheckInfo:
          $ref: "#/components/schemas/PartialWithdrawalOvernightCheckInfo"
        identifications:
          type: array
          items:
            $ref: "#/components/schemas/PartialWithdrawalIdentification"
        bankDetails:
          $ref: "#/components/schemas/PartialWithdrawalBankDetails"
      required:
        - partyId
        - partyRole
        - paymentForm
        - allocationPercentage
    PartialWithdrawalCharge:
      type: object
      properties:
        partyId:
          type: string
          example: Party_PI_1
        chargeType:
          $ref: "#/components/schemas/PartialWithdrawalChargeType"
        chargeWaiverIndicator:
          $ref: "#/components/schemas/PartialWithdrawalChargeWaiverIndicator"
        chargeWaiverReason:
          type: string
          example: Client Approved
    PartialWithdrawalSuppression:
      type: object
      properties:
        suppressionType:
          $ref: "#/components/schemas/PartialWithdrawalSuppressionType"
        suppressionReason:
          type: string
          example: Client Approved
    PartialWithdrawalSignature:
      type: object
      properties:
        signType:
          type: string
          example: OWNER
          description: Signature type code
        signDate:
          type: string
          format: date
          example: 2026-07-10
        signDesignation:
          type: string
          example: Executor
        isSignedPresent:
          type: boolean
          example: true
    PartialWithdrawalAmountType:
      type: string
      enum:
        - AMOUNT
        - PERCENTAGE
        - FREEWITHDRAWALAMOUNT
        - EARNINGSONLY
        - MAX
        - MODIFIEDEARNINGSONLY
        - WITHDRAWALUNTILBASIS
        - PERCENTAGEOFACCOUNTVALUE
      example: AMOUNT
    PartialWithdrawalDisbursementType:
      type: string
      enum:
        - GROSS
        - NET
        - NETBEFORETAX
      example: GROSS
    PartialWithdrawalDistributionCode:
      type: string
      enum:
        - CHARITABLEGIFT
      example: CHARITABLEGIFT
    PartialWithdrawalDisbursementPaymentForm:
      type: string
      enum:
        - CHECK
        - WIRE
        - DTCC
        - ACH
        - OVERNIGHTCHECK
      example: CHECK
    PartialWithdrawalWithdrawalReason:
      type: string
      enum:
        - NORMALDISTRIBUTION
        - PREMATUREDISTRIBUTION
        - DISABILITY
        - SEPARATIONFROMEMPLOYMENT
        - UNFORESEEABLEEMERGENCY
        - INSERVICEDISTRIBUTION
        - HARDSHIP
        - DEATH
      example: NORMALDISTRIBUTION
    PartialWithdrawalHardshipType:
      type: string
      enum:
        - MEDICAL
        - HOMEPURCHASE
        - EDUCATION
        - EVICTIONPREVENTION
        - FUNERAL
        - DISASTER
        - OTHER
      example: MEDICAL
    PartialWithdrawalEmergencyType:
      type: string
      enum:
        - MEDICAL
        - CASUALTYLOSS
        - OTHERUNFORESEEABLEEMERGENCY
      example: MEDICAL
    PartialWithdrawalAllocationOption:
      type: string
      enum:
        - DEFAULT
        - FIXEDPRORATA
        - VARIABLEPRORATA
        - PRORATA
        - SPECIFIEDFUNDS
        - SPECIFIEDSEGMENTS
      description: Defines how funds are removed for the partial withdrawal
      example: PRORATA
    TaxWithholdingType:
      type: string
      enum:
        - FEDERAL
        - STATE
        - NRA
        - BACKUP
    PartialWithdrawalPartyRole:
      type: string
      enum:
        - OWNER
        - PRIMARYBENEFICIARY
        - CONTINGENTBENEFICIARY
        - INSURED
        - PAYOR
        - PAYEE
        - AGENT
        - CARRIER
        - THIRDPARTYDESIGNEE
        - THIRDPARTYADMINISTRATOR
        - JOINTOWNER
        - COVERAGEINSURED
        - COVERAGEJOINTINSURED
        - ASSIGNEE
        - PRIMARYWRITINGAGENT
        - PRIMARYSERVICINGAGENT
        - ADDITIONALSERVICINGAGENT
        - ADDITIONALWRITINGAGENT
        - ANNUITANT
        - EXCHANGECOMPANY
        - JOINTANNUITANT
        - GRANTOR
        - TRUSTEE
        - POWEROFATTORNEY
        - AUTHORIZEDSIGNATORY
        - OTHERINTERESTEDPARTY
        - CONTINGENTOWNER
        - SUCCESSORTRUSTEE
      example: OWNER
    TaxRateToUse:
      type: string
      enum:
        - NOWITHHOLDINGELECTED
        - USEVALUESENTERED
        - NOWITHHOLDINGALLOWED
        - USEDEFAULTTABLE
        - ADDITIONALWITHHOLDING
      description: How tax rate should be applied for withholding
    PartialWithdrawalFilingStatus:
      type: string
      enum:
        - SINGLE
        - MARRIED
        - DEFAULT
        - DOMESTICPARTNER
        - DOMESTICPARTNERSHIP
        - HEADOFHOUSEHOLD
        - MARRIEDFILINGSEPARATELY
        - WIDOWED
        - DIVORCED
      description: Filing status for partial withdrawal tax withholding
      example: MARRIED
    PartialWithdrawalW4rContribution:
      type: string
      enum:
        - NOTAPPLICABLE
      example: NOTAPPLICABLE
    PartialWithdrawalW4r:
      type: object
      properties:
        filingStatus:
          $ref: "#/components/schemas/PartialWithdrawalFilingStatus"
        dollar:
          type: number
          format: double
          example: 0
        percentage:
          type: number
          format: double
          example: 0
        exemptions:
          type: number
          format: int32
          example: 0
    PartialWithdrawalTaxFormType:
      type: string
      enum:
        - T1035COSTBASIS
      example: T1035COSTBASIS
    PartialWithdrawalDistributionAmountType:
      type: string
      enum:
        - PERCENTAGE
        - AMOUNT
        - UNIT
      example: AMOUNT
    PartialWithdrawalFundDistributionSegment:
      type: object
      properties:
        segmentId:
          type: string
          example: "1231414"
        currentAmount:
          type: number
          format: double
          example: 10000
        requestedAmount:
          type: number
          format: double
          example: 1000
    PartialWithdrawalPartyType:
      type: string
      enum:
        - INDIVIDUAL
        - ORGANIZATION
      example: INDIVIDUAL
    PaymentForm:
      type: string
      enum:
        - DTCC
        - CREDITCARD
        - ACH
        - CHECK
        - WIRE
        - EXCHANGE
        - EFT
      description: Mode of payment
    PartialWithdrawalPreferredContactMethod:
      type: string
      enum:
        - MAIL
        - PHONE
        - EMAIL
      example: MAIL
    PartialWithdrawalPersonalInformation:
      type: object
      properties:
        prefix:
          $ref: "#/components/schemas/PartialWithdrawalNamePrefix"
        suffix:
          $ref: "#/components/schemas/PartialWithdrawalNameSuffix"
        firstName:
          type: string
          example: Jordan
        middleName:
          type: string
          nullable: true
        lastName:
          type: string
          example: Taylor
        fullName:
          type: string
          example: Jordan Taylor
        gender:
          $ref: "#/components/schemas/PartialWithdrawalGender"
        dateOfBirth:
          type: string
          format: date
          example: 1987-11-03
        birthCountry:
          type: string
          example: US
        citizenshipCountry:
          type: string
          example: US
        birthState:
          type: string
          example: CA
    PartialWithdrawalOrganisationDetails:
      type: object
      properties:
        fullName:
          type: string
          example: xyz
        organizationCode:
          type: string
          example: 76A
        entityType:
          $ref: "#/components/schemas/PartialWithdrawalEntityType"
        trustDate:
          type: string
          format: date
          nullable: true
        trustType:
          $ref: "#/components/schemas/PartialWithdrawalTrustType"
        trustTitle:
          type: string
          example: TrustTitle
    PartialWithdrawalPhone:
      type: object
      properties:
        startDate:
          type: string
          format: date
          example: 2023-01-01
        endDate:
          type: string
          format: date
          example: 2023-01-01
        phoneType:
          $ref: "#/components/schemas/PartialWithdrawalPhoneType"
        countryCode:
          type: string
          example: "9"
        areaCode:
          type: string
          example: "973"
        dialNumber:
          type: string
          example: "765789"
        extension:
          type: string
          nullable: true
        bestTime:
          type: string
          nullable: true
        timezone:
          type: string
          nullable: true
        isPreferred:
          type: boolean
          example: false
        phoneId:
          type: string
          example: "1"
    PartialWithdrawalEmail:
      type: object
      properties:
        startDate:
          type: string
          format: date
          example: 2023-01-01
        endDate:
          type: string
          format: date
          example: 2023-01-01
        emailType:
          $ref: "#/components/schemas/PartialWithdrawalEmailType"
        emailAddress:
          type: string
          format: email
          example: user@example.com
        isPreferred:
          type: boolean
          example: false
        emailId:
          type: string
          example: "1"
    PartialWithdrawalAddress:
      type: object
      properties:
        addressId:
          type: string
          example: 134535214eedf32412
        addressType:
          $ref: "#/components/schemas/PartialWithdrawalAddressType"
        line1:
          type: string
          example: 123 Main St
        line2:
          type: string
          example: Apt 5B
        line3:
          type: string
          nullable: true
        city:
          type: string
          example: San Francisco
        state:
          type: string
          example: CA
        postalCode:
          type: string
          example: "94105"
        postalCodeExtension:
          type: string
          example: "1234"
        country:
          type: string
          example: US
    PartialWithdrawalOvernightCheckInfo:
      type: object
      properties:
        accountType:
          $ref: "#/components/schemas/PartialWithdrawalOvernightAccountType"
        accountName:
          type: string
          example: Security Benefit
        accountNumber:
          type: string
          example: "11434552525"
    PartialWithdrawalIdentification:
      type: object
      properties:
        identificationType:
          $ref: "#/components/schemas/PartialWithdrawalIdentificationType"
        identificationValue:
          type: string
          example: 123-45-6789
        issueState:
          type: string
          example: CA
        issueCountry:
          type: string
          example: US
        expirationDate:
          type: string
          format: date
          example: 2035-12-31
    PartialWithdrawalBankDetails:
      type: object
      properties:
        bankId:
          type: string
          example: "1232423525"
        nameOnAccount:
          type: string
          example: Alex J Taylor
        accountStatus:
          $ref: "#/components/schemas/PartialWithdrawalBankAccountStatus"
        accountType:
          $ref: "#/components/schemas/PartialWithdrawalBankAccountType"
        accountNumber:
          type: string
          example: "000111222333"
        routingNumber:
          type: string
          example: "121000358"
        ibanNumber:
          type: string
          nullable: true
        financialInstitutionName:
          type: string
          example: Acme Bank
        branchName:
          type: string
          nullable: true
        bankAccountPurpose:
          $ref: "#/components/schemas/PartialWithdrawalBankAccountPurpose"
        address:
          $ref: "#/components/schemas/PartialWithdrawalAddress"
    PartialWithdrawalChargeType:
      type: string
      enum:
        - COSTOFINSURANCE
        - EXPENSECHARGE
        - UNITEXPENSECHARGE
        - RIDERCHARGE
        - SURRENDERCHARGE
        - WITHDRAWALCHARGE
        - PREMIUMTAX
        - MARKETVALUEADJUSTMENT
        - OVERNIGHTMAIL
        - WIRE
        - PAYMENTCHARGE
        - COVERAGECHARGE
        - COVERAGECREDIT
      example: WITHDRAWALCHARGE
    PartialWithdrawalChargeWaiverIndicator:
      type: string
      enum:
        - YES
        - NO
      example: YES
    PartialWithdrawalSuppressionType:
      type: string
      enum:
        - CORRESPONDENCE
        - TAX
        - DISBURSEMENT
        - COMMISSION
      example: CORRESPONDENCE
    PartialWithdrawalNamePrefix:
      type: string
      enum:
        - MR
        - MS
        - MISS
        - DR
        - MRS
      example: MR
    PartialWithdrawalNameSuffix:
      type: string
      enum:
        - JR
        - SR
        - I
        - II
        - III
        - IV
        - V
        - VI
        - VII
      example: JR
    PartialWithdrawalGender:
      type: string
      enum:
        - FEMALE
        - MALE
        - OTHER
      example: FEMALE
    PartialWithdrawalEntityType:
      type: string
      enum:
        - SOLEPROPRIETORSHIP
        - GENERALPARTNERSHIP
        - LIMITEDPARTNERSHIP
        - SCORPORATION
        - CCORPORATION
        - LIMITEDLIABILITYCOMPANY
        - CHARITABLEORGANIZATION
        - ESTATE
        - TRUST
        - CORPORATION
        - UNKNOWN
      example: CORPORATION
    PartialWithdrawalTrustType:
      type: string
      enum:
        - INDIVIDUALTRUST
        - CORPORATETRUST
        - TESTAMENTARYTRUST
        - INTERVIVOSTRUST
        - GRANTORTRUST
        - PETTRUST
      example: INDIVIDUALTRUST
    PartialWithdrawalPhoneType:
      type: string
      enum:
        - MOBILE
        - HOME
        - BUSINESS
        - CLAIMCENTER
        - CUSTOMERSERVICE
        - CORPORATEOFFICE
        - FAX
        - UNKNOWN
        - OTHER
      example: MOBILE
    PartialWithdrawalEmailType:
      type: string
      enum:
        - PERSONAL
        - BUSINESS
        - CUSTOMERSERVICE
        - OTHER
      example: PERSONAL
    PartialWithdrawalAddressType:
      type: string
      enum:
        - RESIDENCE
        - BUSINESS
        - POBOX
        - SEASONAL
        - SECONDARY
        - MAILING
      example: RESIDENCE
    PartialWithdrawalOvernightAccountType:
      type: string
      enum:
        - USPS
        - FEDEX
        - UPS
        - DHL
      example: USPS
    PartialWithdrawalIdentificationType:
      type: string
      enum:
        - SSN
        - EIN
        - TIN
        - DRIVERSLICENSE
        - PASSPORT
      example: SSN
    PartialWithdrawalBankAccountStatus:
      type: string
      enum:
        - ACTIVEBANKACCOUNT
        - TERMINATEDBANKACCOUNT
      example: ACTIVEBANKACCOUNT
    PartialWithdrawalBankAccountType:
      type: string
      enum:
        - CHECKING
        - SAVINGS
        - CREDITCARD
        - DEBITCARD
        - BROKERAGEACCOUNT
        - CERTIFICATEOFDEPOSIT
        - WIRE
      example: CHECKING
    PartialWithdrawalBankAccountPurpose:
      type: string
      enum:
        - LOANINTERESTBILLING
        - DISBURSEMENTS
        - LOANPRINCIPALBILLING
        - PREMIUMBILLING
        - ONETIMEPREMIUMBILLING
        - PAYOUT
        - ONETIMEWIRE
      example: DISBURSEMENTS
  examples:
    successTransactionResponse:
      value:
        status: success
        quoteResponse:
          status: Success
          message: Request successful
          data:
            correlationId: 657b717dcf55411abf9ef067
            transactionAmounts:
              requestedAmount: 25
              calculatedAmount: null
              appliedAmount: 25
            policy:
              id: 659fdafc075b950b7bd00feb
              event: InterestCreditMatch
              carrierID: SB
              tpaID: tpa-12345
              lineOfBusiness: LIFE
              planName: SB UL Premium Match
              productType: UNIVERSALLIFE
              marketingName: Everly Life
              shortName: SB UL
              distribution: THIRDPARTYDIRECTTOCONSUMER
              banding: NOPREMIUMBANDING
              planCode: SBFIXUL1
              glPlanCode: V2201
              holdingForm: INDIVIDUAL
              renewable: null
              qualificationType: NONQUALIFIED
              policyTerm: 20
              policyYear: 1
              monthOfYear: 1
              policyNumber: BPM0000001
              policyStatus: ACTIVE
              nonforfeitureOption: null
              issueType: FULLUNDERWRITING
              residenceState: VT
              issueState: VT
              premiumFrequency: MONTHLY
              currency: USD
              policyStartDate: 2023-12-27
              applicationDate: 2023-12-27
              issueDate: 2023-12-27
              effectiveDate: 2024-01-11T00:00:00.000Z
              contestabilityStartDate: 2023-12-27
              contestabilityEndDate: 2025-12-26
              policyDeliveryDate: 2023-12-27
              previousPolicyAnniversaryDate: 2023-12-27
              previousPolicyMonthiversaryDate: 2023-12-27
              nextAnniversaryDate: 2024-12-27
              maturityDate: 2125-12-26
              policyTerminationDate: null
              dateOfDeath: null
              initialPaymentExpiryDate: 2024-01-10
              nextMonthivesaryDate: 2024-01-27
              costBasis: 105
              costBasisDate: 2024-11-04
              conversionDate: null
              policyValues:
                beginningAcctValue: 35.759837
                endingAcctValue: 60.759837
                minRequiredAcctValue: 0
                acctValueByPolicyYear: 0
                unloanedPortionOfAcctValue: 60.759837
                loanedPortionOfAcctValue: 0
                surrenderValue: 60.759837
                netAmountAtRisk: 499920
                initialPremiumRequestAmount: 80
                initialPremiumAppliedAmount: 80
                initialPaymentAmountReceivedDate: 2023-12-27
                cumulativePremSinceIssue: 105
                totalYTDPremiumAmount: 105
                mecAuthorization: false
                projectedLapseIndicator: null
                policyGainAmount: 0
              loanValues:
                totalLoanBalance: 0
                totalLoanPrincipal: 0
                loanPayoffAmount: 0
                maxLoanAmount: 60.759837
                minLoanAmount: 0
                totalLoanAccruedInterest: 0
                lastLoanInterestDueDate: null
                totalNumberOfLoan: 0
                loanInterestMethod: ARREARS
                totalYTDLoanTaken: 0
                loanRepaymentType: null
                minLoanRepayment: 1
              withDrawalValues:
                totalWithdrawalAmount: 0
                freeWithdrawalAmount: null
                minWithdrawalAmount: 1
                maxWithdrawalAmount: 60.759837
                annualWithLimNoCovDecrease: null
                maxWithdrawalRequestDuringVestingPeriod: 1
                maxWithdrawalRequestAfterVestingPeriod: 12
                totalYTDWithdrawalTaken: 0
                numberOfWithdrawal: 0
                withdrawalAllowedStartDate: 2023-12-27
              testValues:
                guidelinePremiumTestDate: 2024-11-04
                definitionOfLifeInsurance: GPT
                guidelineSinglePremium: 68933.997746
                guidelineLevelPremium: 5122.813261
                amountExcessToGuideline: 0
                totalGuidelineLevelPremiumSinceIssue: 5122.813261
                mecTestDate: 2024-11-04
                amountExcessToMEC: 0
                mecStatusDate: null
                mecStatus: false
                sevenPayTestBasis: 185
                sevenPayPremium: 25074.702628
                sevenPayStartDate: 2023-12-27
                sevenPayPeriod: 2030-12-26
                sevenPayLimit: 25074.702628
                yearInPeriod: 1
              timestamp: 2024-01-11T12:11:40.723Z
              deathBenefit:
                deathBenefitOption: LEVEL
                dboEffectiveDate: 2023-12-27
                dboChangedEffectiveDate: null
                deathBenefitAgeGuarantee: 38
              coverage:
                id: null
                policyDetailsId: null
                ledgerDocId: null
                timestamp: 2024-01-11T12:11:40.731Z
                totalCoverageAmount: 500000
                cumGrossDeathBenefitAmount: 500000
                minCoverageAmount: 10000
                maxCoverageAmount: 10000000
                coverageChangeEffectiveDate: 2024-12-27
                coverageBand: BAND3
                maxAnnualCoverageChangeAllowedPerPolicy: 1
                minCoverageDecreaseAmount: 10000
                maxCoverageDecreaseAmount: 490000
                maxAgeNoCovAmountDecrease: 120
                coverageAmountDecreaseAllowed: 1
                minCoverageIncreaseAmount: 1
                maxCoverageIncreaseAmount: 9500000
                maxAgeNoCovAmountIncrease: 50
                coverageAmountIncreaseAllowed: 1
                coverageLayers:
                  - coverageID: Base_Coverage
                    coverageType: Base
                    coverageName: SB UL Premium Match
                    productCode: SBFIXUL1
                    currentAmount: 500000
                    orignalCoverageAmount: 500000
                    minCoverageAmount: 10000
                    maxCoverageAmount: 10000000
                    grossDeathBenefitAmount: 500000
                    lowDeathBenefitAmount: 500000
                    coverageChangeAmount: 0
                    coverageEffectiveDate: 2023-12-27
                    coverageChangeEffectiveDate: null
                    coverageTerminationDate: null
                    unitOfCoverage: 500
                    valuePerUnitOfCoverage: 1000
                    premiumFrequency: null
                    guidelineSinglePremium: 68933.997746
                    guidelineLevelPremium: 5122.813261
                    sevenPayPremium: 25074.702628
                    coverageParticipants:
                      - partyID: Party_PI_1
                        issueAge: 18
                        riskClass: Standard Tobacco
                        subStandardRating: None
                        flatExtra:
                          - flatExtraType: null
                            flatExtraDuration: 0
                            flatExtraAmount: 0
                            flatExtraStartDate: null
                  - coverageID: Rider_SBLCHR
                    coverageType: RIDER
                    coverageName: Chronic Illness Accelerated Death Benefit Rider
                    productCode: SBLCHR
                    currentAmount: null
                    orignalCoverageAmount: null
                    minCoverageAmount: null
                    maxCoverageAmount: null
                    grossDeathBenefitAmount: null
                    lowDeathBenefitAmount: null
                    coverageChangeAmount: 0
                    coverageEffectiveDate: 2023-12-27
                    coverageChangeEffectiveDate: null
                    coverageTerminationDate: 2125-12-26
                    unitOfCoverage: null
                    valuePerUnitOfCoverage: null
                    premiumFrequency: null
                    guidelineSinglePremium: null
                    guidelineLevelPremium: null
                    sevenPayPremium: null
                    coverageParticipants:
                      - partyID: Party_PI_1
                        issueAge: 18
                        riskClass: null
                        subStandardRating: null
                        flatExtra: []
                  - coverageID: Rider_SBLCRI
                    coverageType: RIDER
                    coverageName: Critical Illness Accelerated Death Benefit Rider
                    productCode: SBLCRI
                    currentAmount: null
                    orignalCoverageAmount: null
                    minCoverageAmount: null
                    maxCoverageAmount: null
                    grossDeathBenefitAmount: null
                    lowDeathBenefitAmount: null
                    coverageChangeAmount: 0
                    coverageEffectiveDate: 2023-12-27
                    coverageChangeEffectiveDate: null
                    coverageTerminationDate: 2125-12-26
                    unitOfCoverage: null
                    valuePerUnitOfCoverage: null
                    premiumFrequency: null
                    guidelineSinglePremium: null
                    guidelineLevelPremium: null
                    sevenPayPremium: null
                    coverageParticipants:
                      - partyID: Party_PI_1
                        issueAge: 18
                        riskClass: null
                        subStandardRating: null
                        flatExtra: []
                  - coverageID: Rider_SBLTRM
                    coverageType: RIDER
                    coverageName: Terminal Illness Accelerated Death Benefit Rider
                    productCode: SBLTRM
                    currentAmount: null
                    orignalCoverageAmount: null
                    minCoverageAmount: null
                    maxCoverageAmount: null
                    grossDeathBenefitAmount: null
                    lowDeathBenefitAmount: null
                    coverageChangeAmount: 0
                    coverageEffectiveDate: 2023-12-27
                    coverageChangeEffectiveDate: null
                    coverageTerminationDate: 2125-12-26
                    unitOfCoverage: null
                    valuePerUnitOfCoverage: null
                    premiumFrequency: null
                    guidelineSinglePremium: null
                    guidelineLevelPremium: null
                    sevenPayPremium: null
                    coverageParticipants:
                      - partyID: Party_PI_1
                        issueAge: 18
                        riskClass: null
                        subStandardRating: null
                        flatExtra: []
                  - coverageID: Rider_OPR
                    coverageType: RIDER
                    coverageName: Overloan Protection Rider
                    productCode: SBLOPR
                    currentAmount: null
                    orignalCoverageAmount: null
                    minCoverageAmount: null
                    maxCoverageAmount: null
                    grossDeathBenefitAmount: null
                    lowDeathBenefitAmount: null
                    coverageChangeAmount: 0
                    coverageEffectiveDate: 2023-12-27
                    coverageChangeEffectiveDate: null
                    coverageTerminationDate: 2125-12-26
                    unitOfCoverage: null
                    valuePerUnitOfCoverage: null
                    premiumFrequency: null
                    guidelineSinglePremium: null
                    guidelineLevelPremium: null
                    sevenPayPremium: null
                    coverageParticipants:
                      - partyID: Party_PI_1
                        issueAge: 18
                        riskClass: null
                        subStandardRating: null
                        flatExtra: []
                version: 1
              riders:
                - id: null
                  policyDetailsId: null
                  ledgerDocId: null
                  timestamp: 2024-01-11T12:11:40.729Z
                  type: RIDER
                  riderName: Chronic Illness Accelerated Death Benefit Rider
                  riderElected: ELECTED
                  riderCode: SBLCHR
                  effectiveDate: 2023-12-27
                  terminationDate: 2125-12-26
                  status: ACTIVE
                  coverageID: Rider_SBLCHR
                  amount: null
                  riderParticipant:
                    - insuredID: Party_PI_1
                      insuredAgeAtIssue: 18
                  charge:
                    chargeID: null
                    value: null
                    effectiveRate: null
                    nextEvaluationDate: null
                  riderExerciseCharge: null
                  maxChronicIllnessBenefitPct: 50
                  maxPeriodicPaymentPeriod: 120
                  claimStatus: null
                  riderExerciseChargeRate: null
                  nextEvaluationDate: null
                  riderPaymentDate: null
                  riderPaymentAmount: null
                  paymentMode: null
                  paymentOption: null
                  maxCriticalIllnessBenefitPct: null
                  t1MaxCriticalIllnessBenefitPct: null
                  t1MaxCriticalIllnessBenefitAmount: null
                  t2MaxCriticalIllnessBenefitPct: null
                  t2MaxCriticalIllnessBenefitAmount: null
                  t1CriticalRiderPaymentDate: null
                  t1CriticalRiderPaymentAmount: null
                  t2CriticalRiderPaymentDate: null
                  t2CriticalRiderPaymentAmount: null
                  terminalRiderPaymentAmount: null
                  version: 1
                - id: null
                  policyDetailsId: null
                  ledgerDocId: null
                  timestamp: 2024-01-11T12:11:40.729Z
                  type: RIDER
                  riderName: Critical Illness Accelerated Death Benefit Rider
                  riderElected: ELECTED
                  riderCode: SBLCRI
                  effectiveDate: 2023-12-27
                  terminationDate: 2125-12-26
                  status: ACTIVE
                  coverageID: Rider_SBLCRI
                  amount: null
                  riderParticipant:
                    - insuredID: Party_PI_1
                      insuredAgeAtIssue: 18
                  charge:
                    chargeID: null
                    value: null
                    effectiveRate: null
                    nextEvaluationDate: null
                  riderExerciseCharge: null
                  maxChronicIllnessBenefitPct: null
                  maxPeriodicPaymentPeriod: null
                  claimStatus: null
                  riderExerciseChargeRate: null
                  nextEvaluationDate: null
                  riderPaymentDate: null
                  riderPaymentAmount: null
                  paymentMode: null
                  paymentOption: null
                  maxCriticalIllnessBenefitPct: 50
                  t1MaxCriticalIllnessBenefitPct: 5
                  t1MaxCriticalIllnessBenefitAmount: 5000
                  t2MaxCriticalIllnessBenefitPct: 50
                  t2MaxCriticalIllnessBenefitAmount: 500000
                  t1CriticalRiderPaymentDate: null
                  t1CriticalRiderPaymentAmount: null
                  t2CriticalRiderPaymentDate: null
                  t2CriticalRiderPaymentAmount: null
                  terminalRiderPaymentAmount: null
                  version: 1
                - id: null
                  policyDetailsId: null
                  ledgerDocId: null
                  timestamp: 2024-01-11T12:11:40.729Z
                  type: RIDER
                  riderName: Overloan Protection Rider
                  riderElected: ELECTED
                  riderCode: SBLOPR
                  effectiveDate: 2023-12-27
                  terminationDate: 2125-12-26
                  status: ACTIVE
                  coverageID: Rider_SBLOPR
                  amount: null
                  riderParticipant:
                    - insuredID: Party_PI_1
                      insuredAgeAtIssue: 18
                  charge:
                    chargeID: null
                    value: null
                    effectiveRate: null
                    nextEvaluationDate: null
                  riderExerciseCharge: null
                  maxChronicIllnessBenefitPct: null
                  maxPeriodicPaymentPeriod: null
                  claimStatus: null
                  riderExerciseChargeRate: null
                  nextEvaluationDate: null
                  riderPaymentDate: null
                  riderPaymentAmount: null
                  paymentMode: null
                  paymentOption: null
                  maxCriticalIllnessBenefitPct: null
                  t1MaxCriticalIllnessBenefitPct: null
                  t1MaxCriticalIllnessBenefitAmount: null
                  t2MaxCriticalIllnessBenefitPct: null
                  t2MaxCriticalIllnessBenefitAmount: null
                  t1CriticalRiderPaymentDate: null
                  t1CriticalRiderPaymentAmount: null
                  t2CriticalRiderPaymentDate: null
                  t2CriticalRiderPaymentAmount: null
                  terminalRiderPaymentAmount: null
                  version: 1
                - id: null
                  policyDetailsId: null
                  ledgerDocId: null
                  timestamp: 2024-01-11T12:11:40.729Z
                  type: RIDER
                  riderName: Terminal Illness Accelerated Death Benefit Rider
                  riderElected: ELECTED
                  riderCode: SBLTRM
                  effectiveDate: 2023-12-27
                  terminationDate: 2125-12-26
                  status: ACTIVE
                  coverageID: Rider_SBLTRM
                  amount: null
                  riderParticipant:
                    - insuredID: Party_PI_1
                      insuredAgeAtIssue: 18
                  charge:
                    chargeID: null
                    value: null
                    effectiveRate: null
                    nextEvaluationDate: null
                  riderExerciseCharge: null
                  maxChronicIllnessBenefitPct: null
                  maxPeriodicPaymentPeriod: null
                  claimStatus: null
                  riderExerciseChargeRate: null
                  nextEvaluationDate: null
                  riderPaymentDate: null
                  riderPaymentAmount: null
                  paymentMode: null
                  paymentOption: null
                  maxCriticalIllnessBenefitPct: null
                  t1MaxCriticalIllnessBenefitPct: null
                  t1MaxCriticalIllnessBenefitAmount: null
                  t2MaxCriticalIllnessBenefitPct: null
                  t2MaxCriticalIllnessBenefitAmount: null
                  t1CriticalRiderPaymentDate: null
                  t1CriticalRiderPaymentAmount: null
                  t2CriticalRiderPaymentDate: null
                  t2CriticalRiderPaymentAmount: null
                  terminalRiderPaymentAmount: null
                  version: 1
              systematicPrograms:
                - id: null
                  policyDetailsId: null
                  ledgerDocId: null
                  timestamp: 2024-01-11T12:11:40.730Z
                  arrType: PAYMENT
                  arrangementID: Arr_1
                  allocationOptionType: DOLLAR
                  reason: PREMIUMREASON
                  numberOfOccurrence: null
                  loanRepaymentType: null
                  disbursementType: null
                  status: ACTIVE
                  paymentForm: EFT
                  frequency: MONTHLY
                  requestedDate: 2023-12-27
                  startDate: 2024-01-27
                  endDate: 2043-11-27
                  lastActivityDate: 2023-12-27
                  nextActivityDate: 2024-01-27
                  amountType: AMOUNT
                  amount: 80
                  payors:
                    - partyRole: Payee
                      partyID: Party_PI_1
                      bankId: Bank_1
                      percentage: 100
                  payees: null
                  version: 1
              policyFeatures:
                - id: null
                  policyDetailsId: null
                  ledgerDocId: null
                  timestamp: 2024-01-11T12:11:40.733Z
                  featureType: freeLook
                  startDate: null
                  endDate: 2024-01-26
                  status: null
                  period: 30
                  effectiveDate: null
                  totalRequiredAmount: null
                  totalMinimumRequiredAmount: null
                  paymentAmount: null
                  totalPaymentAmount: null
                  uwDecision: null
                  approvalDate: null
                  version: 1
                - id: null
                  policyDetailsId: null
                  ledgerDocId: null
                  timestamp: 2024-01-11T12:11:40.733Z
                  featureType: lapseAssessment
                  startDate: null
                  endDate: null
                  status: false
                  period: null
                  effectiveDate: null
                  totalRequiredAmount: null
                  totalMinimumRequiredAmount: null
                  paymentAmount: null
                  totalPaymentAmount: null
                  uwDecision: null
                  approvalDate: null
                  version: 1
                - id: null
                  policyDetailsId: null
                  ledgerDocId: null
                  timestamp: 2024-01-11T12:11:40.733Z
                  featureType: lapseProtection
                  startDate: 2023-12-27
                  endDate: 2043-12-26
                  status: null
                  period: 20
                  effectiveDate: null
                  totalRequiredAmount: null
                  totalMinimumRequiredAmount: null
                  paymentAmount: 51.78
                  totalPaymentAmount: 51.78
                  uwDecision: null
                  approvalDate: null
                  version: 1
                - id: null
                  policyDetailsId: null
                  ledgerDocId: null
                  timestamp: 2024-01-11T12:11:40.733Z
                  featureType: reinstatement
                  startDate: null
                  endDate: null
                  status: null
                  period: null
                  effectiveDate: null
                  totalRequiredAmount: null
                  totalMinimumRequiredAmount: null
                  paymentAmount: null
                  totalPaymentAmount: null
                  uwDecision: null
                  approvalDate: null
                  version: 1
              allocation:
                id: null
                policyDetailsId: null
                ledgerDocId: null
                timestamp: 2024-01-11T12:11:40.732Z
                investmentType: INVESTMENTFUND
                modelName: null
                modelID: null
                fundAllocationsInvestments:
                  - fundID: FundAccount1
                    fundName: Everly Fixed Fund UL2
                    fundAccountType: null
                    allocPercent: 100
                    startDate: 2023-12-27
                    endDate: null
                funds:
                  - fundAccountType: null
                    fundID: FundAccount1
                    fundName: Fixed Fund
                    glFundCode: V2201
                    totalFundValue: 60.759837
                    fundSegments:
                      - segmentID: "1"
                        fundID: null
                        originalDepositAmount: 80
                        originalDepositDate: 2023-12-27
                        depositDate: 2024-11-04
                        depositAmount: 25
                        currentAmount: 60.759837
                        renewalDate: null
                        numberOfUnits: null
                        sweepAccountID: null
                        startDate: 2023-12-27
                        endDate: null
                matchSegment:
                  segmentID: Match1
                  matchAccountValue: 1.05129
                  cumulativeMatchPaymentAmount: 1.05
                  ytdMatchValue: 1.05
                  maxLifeTimeVestingAmount: 500
                  maxAnnVestingAmount: 500
                  minPaymentsForMatch: 0
                  matchVestingDate: 2034-12-26
                  glFundCode: V2201
                  vestingPeriod: 10
                loanSegments: []
                version: 1
              version: 40
          error: null
    failureTransactionResponse:
      value:
        status: failure
        validationResult:
          - errorCode: BPM.NM.005
            attribute: null
            error: Amount request is invalid.
            resolution: Please check the One Time Premium Amount and submit the request
              again.
          - errorCode: BPM.NM.003
            attribute: null
            error: Party information does not match with information in the Zahara system.
            resolution: Please validate the party information and submit the request again.
  securitySchemes:
    Auth0:
      type: openIdConnect
      openIdConnectUrl: https://login.qa.zinnia.com/.well-known/openid-configuration
      x-kong-security-openid-connect:
        config:
          run_on_preflight: true
          scopes_claim:
            - https://qa.api.zinnia.io/permissions
          audience_claim:
            - aud
          audience_required:
            - https://qa.api.zinnia.io
          client_id:
            - client_id
          auth_methods:
            - bearer
        enabled: true
        protocols:
          - grpc
          - grpcs
          - http
          - https
```
